PresentationDirection (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.print.attribute.standard, class: PresentationDirection
Keywords: javax.print.attribute.standard.PresentationDirection class

# Class PresentationDirection

java.lang.Object
javax.print.attribute.EnumSyntax
javax.print.attribute.standard.PresentationDirection

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute, PrintRequestAttribute`

public final class PresentationDirection extends EnumSyntax implements PrintJobAttribute, PrintRequestAttribute
Class `PresentationDirection` is a printing attribute class, an enumeration, that is used in conjunction with the `NumberUp` attribute to indicate the layout of multiple print-stream pages to impose upon a single side of an instance of a selected medium. This is useful to mirror the text layout conventions of different scripts. For example, English is "toright-tobottom", Hebrew is "toleft-tobottom" and Japanese is usually "tobottom-toleft".

IPP Compatibility: This attribute is not an IPP 1.1 attribute; it is an attribute in the Production Printing Extension ( PDF) of IPP 1.1. The category name returned by `getName()` is the IPP attribute name. The enumeration's integer value is the IPP enum value. The `toString()` method returns the IPP string representation of the attribute value.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PresentationDirection`
  `TOBOTTOM_TOLEFT`
  Pages are laid out in columns starting at the top right, proceeding towards the bottom & left.
  `static final PresentationDirection`
  `TOBOTTOM_TORIGHT`
  Pages are laid out in columns starting at the top left, proceeding towards the bottom & right.
  `static final PresentationDirection`
  `TOLEFT_TOBOTTOM`
  Pages are laid out in rows starting at the top right, proceeding towards the left & bottom.
  `static final PresentationDirection`
  `TOLEFT_TOTOP`
  Pages are laid out in rows starting at the bottom right, proceeding towards the left & top.
  `static final PresentationDirection`
  `TORIGHT_TOBOTTOM`
  Pages are laid out in rows starting at the top left, proceeding towards the right & bottom.
  `static final PresentationDirection`
  `TORIGHT_TOTOP`
  Pages are laid out in rows starting at the bottom left, proceeding towards the right & top.
  `static final PresentationDirection`
  `TOTOP_TOLEFT`
  Pages are laid out in columns starting at the bottom right, proceeding towards the top & left.
  `static final PresentationDirection`
  `TOTOP_TORIGHT`
  Pages are laid out in columns starting at the bottom left, proceeding towards the top & right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `protected EnumSyntax[]`
  `getEnumValueTable()`
  Returns the enumeration value table for class `PresentationDirection`.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.
  `protected String[]`
  `getStringTable()`
  Returns the string table for class `PresentationDirection`.

  ### Methods declared in class EnumSyntax

  `clone, getOffset, getValue, hashCode, readResolve, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this enumeration value, which to preserve the semantics of enumeration values is the same object as this enumeration value.
  `protected int`
  `getOffset()`
  Returns the lowest integer value used by this enumeration value's enumeration class.
  `int`
  `getValue()`
  Returns this enumeration value's integer value.
  `int`
  `hashCode()`
  Returns a hash code value for this enumeration value.
  `protected Object`
  `readResolve()`
  During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.
  `String`
  `toString()`
  Returns a string value corresponding to this enumeration value.

  ### Methods declared in class Object

  `equals, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### TOBOTTOM_TORIGHT

    public static final PresentationDirection TOBOTTOM_TORIGHT
    Pages are laid out in columns starting at the top left, proceeding towards the bottom & right.

  - ### TOBOTTOM_TOLEFT

    public static final PresentationDirection TOBOTTOM_TOLEFT
    Pages are laid out in columns starting at the top right, proceeding towards the bottom & left.

  - ### TOTOP_TORIGHT

    public static final PresentationDirection TOTOP_TORIGHT
    Pages are laid out in columns starting at the bottom left, proceeding towards the top & right.

  - ### TOTOP_TOLEFT

    public static final PresentationDirection TOTOP_TOLEFT
    Pages are laid out in columns starting at the bottom right, proceeding towards the top & left.

  - ### TORIGHT_TOBOTTOM

    public static final PresentationDirection TORIGHT_TOBOTTOM
    Pages are laid out in rows starting at the top left, proceeding towards the right & bottom.

  - ### TORIGHT_TOTOP

    public static final PresentationDirection TORIGHT_TOTOP
    Pages are laid out in rows starting at the bottom left, proceeding towards the right & top.

  - ### TOLEFT_TOBOTTOM

    public static final PresentationDirection TOLEFT_TOBOTTOM
    Pages are laid out in rows starting at the top right, proceeding towards the left & bottom.

  - ### TOLEFT_TOTOP

    public static final PresentationDirection TOLEFT_TOTOP
    Pages are laid out in rows starting at the bottom right, proceeding towards the left & top.

- ## Method Details

  - ### getStringTable

    protected String[] getStringTable()
    Returns the string table for class `PresentationDirection`.
    Overrides:
      `getStringTable` in class `EnumSyntax`
    Returns:
      the string table

  - ### getEnumValueTable

    protected EnumSyntax[] getEnumValueTable()
    Returns the enumeration value table for class `PresentationDirection`.
    Overrides:
      `getEnumValueTable` in class `EnumSyntax`
    Returns:
      the value table

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `PresentationDirection` the category is class `PresentationDirection` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `PresentationDirection` the category name is `"presentation-direction"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name